Bug 97380 - 500 error requesting MP Article
500 error requesting MP Article
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
high Severity medium
: ---
: ---
Assigned To: Archit Shah
Jon Orris
:
Depends On:
Blocks: rc0blockers
  Show dependency treegraph
 
Reported: 2003-06-13 17:30 EDT by Bryan Che
Modified: 2007-03-27 00:07 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-27 16:51:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryan Che 2003-06-13 17:30:22 EDT
My server is still at changelist 31928 after I populated the db with several
thousand articles and mp articles.  After repeatedly requesting a multip-part
article created with my population code with two concurrent users, I got this
error serveral times:

-*-*-*-*-*- Begin Error Report -*-*-*-*-*-
-*-*-*- ACS Error Report Code:
poweredge1650-004-ext.boston.redhat.com:80:639aefb0:f5c3059e7d -*-*-*-
-*-*-*- Message: This data object:
([com.arsdigita.kernel.SiteNode:{objectType=com.arsdigita.kernel.SiteNode,
id=129}]) is being accessed from another thread before its originating
transaction has terminated. -*-*-*-

-*-*-*- Section: HTTP headers -*-*-*-
Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg,
application/x-comet, application/vnd.ms-excel, application/msword, */*
Accept-Language: en-us
Connection: Keep-Alive
Host: poweredge1650-004-ext.boston.redhat.com
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Win32)

-*-*-*- Section: CCM User -*-*-*-
Party not logged in

-*-*-*- Section: Stack trace -*-*-*-
com.arsdigita.persistence.PersistenceException: This data object:
([com.arsdigita.kernel.SiteNode:{objectType=com.arsdigita.kernel.SiteNode,
id=129}]) is being accessed from another thread before its originating
transaction has terminated.
	at com.arsdigita.persistence.DataObjectImpl.validate(Unknown Source)(Compiled Code)
	at com.arsdigita.persistence.DataObjectImpl.validate(Unknown Source)(Inlined
Compiled Code)
	at com.arsdigita.persistence.DataObjectImpl.get(Unknown Source)(Compiled Code)
	at com.arsdigita.domain.DomainObject.get(Unknown Source)(Compiled Code)
	at com.arsdigita.kernel.SiteNode.getURLNoContext(Unknown Source)
	at com.arsdigita.kernel.SiteNode.getURL(Unknown Source)
	at com.arsdigita.sitenode.SiteNodeRequestContext.<init>(Unknown Source)
	at com.arsdigita.web.BaseApplicationServlet.makeLegacyContext(Unknown Source)
	at com.arsdigita.web.BaseApplicationServlet.doService(Unknown Source)
	at com.arsdigita.web.BaseServlet$1.excurse(Unknown Source)
	at com.arsdigita.kernel.KernelExcursion.run(Unknown Source)
	at com.arsdigita.web.BaseServlet.internalService(Unknown Source)
	at com.arsdigita.web.BaseServlet.doGet(Unknown Source)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:126)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:103)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:315)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:225)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:106)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:83)
	at com.arsdigita.web.BaseDispatcher.forward(Unknown Source)
	at com.arsdigita.web.BaseDispatcher.forward(Unknown Source)
	at com.arsdigita.web.BaseDispatcher.dispatch(Unknown Source)
	at com.arsdigita.web.DispatcherServlet.service(Unknown Source)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:315)
	at com.caucho.server.http.HttpRequest.handleRequest(HttpRequest.java:246)
	at com.caucho.server.http.HttpRequest.handleConnection(HttpRequest.java:164)
	at com.caucho.server.TcpConnection.run(TcpConnection.java:139)
	at java.lang.Thread.run(Thread.java:513)


-*-*-*- Section: Servlet attributes -*-*-*-
com.arsdigita.web.BaseApplicationServlet.application_id: 127
com.arsdigita.web.BaseDispatcher.dispatched: true
com.arsdigita.web.BaseServlet.request_url: /ccm/content/MultiPartArticle_10548414_8/

-*-*-*- Section: Request summary -*-*-*-
Context path: 
Request URI: /__ccm__/servlet/content-section/MultiPartArticle_10548414_8/
Query string: app-id=127
Method: GET
Remote user: null

-*-*-*- Section: System properties -*-*-*-
file.encoding: ISO-8859-1
file.encoding.pkg: sun.io
file.separator: /
invokedviajava: 
java.assistive: ON
java.awt.fonts: 
java.awt.graphicsenv: sun.awt.X11GraphicsEnvironment
java.awt.printerjob: sun.awt.motif.PSPrinterJob
java.class.path:
/var/ccm-devel/web/root/ccm_dev/webapps/ccm/WEB-INF/lib/jaas.jar:/var/ccm-devel/web/root/ccm_dev/webapps/ccm/WEB-INF/lib/jce.jar:/var/ccm-devel/web/root/ccm_dev/webapps/ccm/WEB-INF/lib/sunjce_provider.jar:/opt/apps/oracle/product/8.1.7/jdbc/lib/classes12.zip:/opt/resin/2.1.8/lib/resin.jar:/opt/resin/2.1.8/lib/jdbc2_0-stdext.jar:/opt/resin/2.1.8/lib/jta-spec1_0_1.jar:/opt/resin/2.1.8/lib/jndi.jar:/opt/resin/2.1.8/lib/dom.jar:/opt/resin/2.1.8/lib/sax.jar:/opt/resin/2.1.8/lib/jaxp.jar:/opt/resin/2.1.8/lib/jmx.jar:/opt/resin/2.1.8/lib/webutil.jar:/opt/resin/2.1.8/lib/jdbc-mysql.jar:/opt/IBMJava2-131/lib/tools.jar:/opt/IBMJava2-131/jre/lib/rt.jar:/opt/resin/2.1.8/lib/jsdk23.jar
java.class.version: 46.0
java.compiler: jitc
java.ext.dirs: /opt/IBMJava2-131/jre/lib/ext
java.fullversion: J2RE 1.3.1 IBM build cxia32131-20030329 (JIT enabled: jitc)
java.home: /opt/IBMJava2-131/jre
java.io.tmpdir: /tmp
java.library.path:
/opt/IBMJava2-131/jre/bin:/opt/IBMJava2-131/jre/bin/classic:/opt/apps/oracle/product/8.1.7/lib:/opt/apps/oracle/product/8.1.7/ctx/lib:/usr/lib:/usr/local/lib:/opt/apps/oracle/product/8.1.7/JRE/lib/linux/native_threads:/opt/resin/2.1.8/libexec:/usr/lib
java.naming.factory.initial: com.caucho.naming.InitialContextFactoryImpl
java.naming.factory.url.pkgs: com.caucho.naming
java.runtime.name: Java(TM) 2 Runtime Environment, Standard Edition
java.runtime.version: 1.3.1
java.specification.name: Java Platform API Specification
java.specification.vendor: Sun Microsystems Inc.
java.specification.version: 1.3
java.vendor: IBM Corporation
java.vendor.url: http://www.ibm.com/
java.vendor.url.bug: 
java.version: 1.3.1
java.vm.info: J2RE 1.3.1 IBM build cxia32131-20030329 (JIT enabled: jitc)
java.vm.name: Classic VM
java.vm.specification.name: Java Virtual Machine Specification
java.vm.specification.vendor: Sun Microsystems Inc.
java.vm.specification.version: 1.0
java.vm.vendor: IBM Corporation
java.vm.version: 1.3.1
javax.xml.parsers.DocumentBuilderFactory:
org.apache.xerces.jaxp.DocumentBuilderFactoryImpl
javax.xml.parsers.SAXParserFactory: org.apache.xerces.jaxp.SAXParserFactoryImpl
javax.xml.transform.TransformerFactory: com.icl.saxon.TransformerFactoryImpl
line.separator: 

org.xml.sax.driver: com.caucho.xml.Xml
os.arch: x86
os.name: Linux
os.version: 2.4.9-e.16smp
path.separator: :
PreferredXSLTTransformer: SAXON
resin.home: /opt/resin/2.1.8
sun.boot.class.path:
/opt/IBMJava2-131/jre/lib/rt.jar:/opt/IBMJava2-131/jre/lib/i18n.jar:/opt/IBMJava2-131/jre/classes
sun.boot.library.path: /opt/IBMJava2-131/jre/bin
sun.io.unicode.encoding: UnicodeLittle
user.dir: /opt/resin/2.1.8
user.home: /root
user.language: en
user.name: root
user.region: US
user.timezone: America/New_York
-*-*-*-*-*- End Error Report -*-*-*-*-*-
Comment 1 Bryan Che 2003-06-27 16:51:22 EDT
I don't see this anymore

Note You need to log in before you can comment on or make changes to this bug.